<?php

namespace App\Http\Controllers\Admin;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

//use App\Exports\DepartmentsExport;
//use App\Imports\DepartmentsImport;
use Maatwebsite\Excel\Facades\Excel;

use App\Models\Element;
use Spatie\Permission\Models\Permission;

use DataTables;

class ElementsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
       

         if(request()->ajax())
         {
              if( !empty($request->spermission))
              {

                $query = DB::table('elements');
                $query = $query->select('*');

                if(!empty($request->spermission)) {
                    $query = $query->where('element', 'LIKE',"%{$request->spermission}%");
                };

                //$data= $query->get(); 
                $data= $query; 

              }
              else
              {
               $data = DB::table('elements')
                 ->select('*');
                 //->get();
              }

             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('admin.elements.show',$row->id);
                $edit =  route('admin.elements.edit',$row->id);
                $delete =  route('admin.elements.destroy',$row->id);
                $token =  csrf_token();                  
                //return "<a href='{$show}' class='btn btn-xs btn-primary'><i class='glyphicon glyphicon-edit'></i> Edit</a>";
                return "<form action='{$delete}' name='deleteform' method='POST' onsubmit=\"return confirm('Are you sure you want to Delete Selected Record?');\" style='display: inline-block;'>".
                        "<input type='hidden' name='_method' value='DELETE'>".
                        "<input type='hidden' name='_token' value='{$token}'>". 
                        "<button type='submit' title = 'Delete' class='crm-action-delete text-muted' style='border:none; background:none; cursor:pointer;'><i class='fas fa-trash'></i></button>".
                    "</form>";
                
            })
            ->editColumn('id', 'ID: {{$id}}')            
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }

         $elements = DB::table('elements')
              ->select('*')
              ->orderBy('element', 'ASC')
              ->get();
              
         return view('admin.elements.index', compact('elements'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Element $elements)
    {
        $elements->element = $request->element; 
        $elements->save();
     
               
        for($i = 1; $i <= 5; $i++) {
            $permissions = new Permission;
            if($i==1){
                $permissions->name = $request->element. "-list";
            }
            if($i == 2){
                $permissions->name = $request->element. "-create";
            }
            if($i == 3){
                $permissions->name = $request->element. "-edit";
            }
            if($i == 4){
                $permissions->name = $request->element. "-delete";
            }
            if($i == 5){
                $permissions->name = $request->element. "-import";
            }


            $permissions->element = $request->element;
            $permissions->guard_name = "web";
            $permissions->save();
        }        

        return redirect()->route('admin.elements.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $elements = DB::table('elements')->where('id', $id)->first();
        $element = $elements->element;
        Element::destroy($id);
        $permissions = DB::table('permissions')->where('element', $element)->delete();



        return redirect()->route('admin.elements.index');
    }
}
