<?php

namespace App\Http\Controllers\Admin;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Facades\Excel;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;

use App\Jobs\UpdateRXProducts;
use Illuminate\Bus\Batch;
use Illuminate\Support\Facades\Bus;
use Throwable;

use App\Models\Rxproduct;
use Spatie\Permission\Models\Permission;

use App\Models\Batchstatus;
use App\Models\Job_batchstat;
use DataTables;
use Carbon\Carbon;
use DateTime;

use Brian2694\Toastr\Facades\Toastr;

class RxproductsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
       

         if(request()->ajax())
         {
              if( !empty($request->ssku) || !empty($request->sproduct_name) || !empty($request->svisibility))
              {

                $query = DB::table('rxproducts');
                $query = $query->select('*');

                if(!empty($request->ssku)) {
                    $query = $query->where('sku', '=', $request->ssku);
                };
                if(!empty($request->sproduct_name)) {
                    $query = $query->where('product_name', 'LIKE',"%{$request->sproduct_name}%");
                };
                if(!empty($request->svisibility)) {
                    $query = $query->where('visibility', '=', $request->svisibility);
                };                

                //$data= $query->get(); 
                $data= $query; 

              }
              else
              {
               $data = DB::table('rxproducts')
                ->select('*')
                ->orderBy('product_name', 'ASC');
              }

             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('admin.rxproducts.show',$row->rxprod_id);
                $edit =  route('admin.rxproducts.edit',$row->rxprod_id);
                $delete =  route('admin.rxproducts.destroy',$row->rxprod_id);
                $token =  csrf_token();                  
                //return "<a href='{$show}' class='btn btn-xs btn-primary'><i class='glyphicon glyphicon-edit'></i> Edit</a>";
                return "<a href='{$show}' title='View' class='m-r-15 crm-action-edit text-muted'><i class='fas fa-desktop'></i></a>  &nbsp;<a href='{$edit}' title='Edit' class='m-r-15 crm-action-edit text-muted'><i class='fas fa-edit'></i></a> ". 
                    "<form action='{$delete}' name='deleteform' method='POST' onsubmit=\"return confirm('Are you sure you want to Delete Selected Record?');\" style='display: inline-block;'>".
                        "<input type='hidden' name='_method' value='DELETE'>".
                        "<input type='hidden' name='_token' value='{$token}'>". 
                        "<button type='submit' title = 'Delete' class='crm-action-delete text-muted' style='border:none; background:none; cursor:pointer;'><i class='fas fa-trash'></i></button>".
                    "</form>";
                
            })

            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }

         $rxproducts = DB::table('rxproducts')
                ->select('*')
                ->orderBy('product_name', 'ASC');

        $userid = auth()->user()->id;                  

        if($batchstatus = DB::table('job_batchstats')->where('userid','=',$userid)->where('tablename','=','rxproducttemps')->orderBy('id', 'DESC')->first()){
            $jobbatches = DB::table('job_batches')->where('id','=',$batchstatus->batchid)->first();     
            return view('admin.rxproducts.index', compact('rxproducts', 'batchstatus', 'jobbatches')); 
        }  else {
            return view('admin.rxproducts.index', compact('rxproducts'));
        }
         
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //$submonths = DB::table('submonths')->get();  
        //$paymethods = DB::table('paymethods')->get();  
        return view('admin.rxproducts.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Rxproduct $rxproducts)
    {
        $rxproducts->sku = $request->sku; 
        $rxproducts->product_name = $request->product_name; 
        $rxproducts->price = $request->price; 
        $rxproducts->cost_price = $request->cost_price;  
        $rxproducts->retail_price = $request->retail_price; 
        $rxproducts->sale_price = $request->sale_price; 
        $rxproducts->visibility = $request->visibility; 
        $rxproducts->category = $request->category; 
        $rxproducts->prod_image = $request->prod_image; 
        $rxproducts->save();

        return redirect()->route('admin.rxproducts.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $rxproducts = DB::table('rxproducts')->where('rxprod_id', $id)->first();

        return view('admin.rxproducts.show', compact('rxproducts'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $rxproducts = DB::table('rxproducts')->where('rxprod_id', $id)->first();

        return view('admin.rxproducts.edit', compact('rxproducts'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $rxproducts = Rxproduct::where('rxprod_id', '=', $id)->first(); 
        $rxproducts->sku = $request->sku; 
        $rxproducts->product_name = $request->product_name; 
        $rxproducts->price = $request->price; 
        $rxproducts->cost_price = $request->cost_price;  
        $rxproducts->retail_price = $request->retail_price; 
        $rxproducts->sale_price = $request->sale_price; 
        $rxproducts->visibility = $request->visibility; 
        $rxproducts->category = $request->category; 
        $rxproducts->prod_image = $request->prod_image; 
        $rxproducts->save();

        return redirect()->route('admin.rxproducts.index'); 
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Rxproduct::destroy($id);
        return redirect()->route('admin.rxproducts.index'); 
    }

    public function importView()
    {
       return view('admin.rxproducts.import');
    } 

    public function updateimported(Request $request) 
    {

            $userid = auth()->user()->id;
            $chunks = DB::table('rxproducttemps')->where('userid', $userid)->orderBy('sku', 'ASC')->get()->chunk(1000);
            /*
            $data = [];
            foreach($rxproducttemps as $rxproducttemps){
                $data[] = [
                    'sku' => $rxproducttemps->sku,
                    'product_name' => $rxproducttemps->product_name,
                    'price' => $rxproducttemps->price,
                    'cost_price' => $rxproducttemps->cost_price,
                    'retail_price' => $rxproducttemps->retail_price,
                    'sale_price' => $rxproducttemps->sale_price,
                    'visibility' => $rxproducttemps->visibility,
                    'category' => $rxproducttemps->category,
                    'prod_image' => $rxproducttemps->prod_image,
                ];
            }
            $chunks = array_chunk($data, 1000);
            */
            //dd($rxproducttemps);
            //$header = [];
            $batch = Bus::batch([])->dispatch();
            $lastkey = count($chunks);
            //$users[] = array($userid);
            //$chunks=array_merge($chunks,$users);
            //$chunks=array_merge($chunks);
            //dd($chunks);
            //$batch->add(new UpdateRXProducts($chunks));
            //dd($chunks);

            foreach($chunks as $key => $chunk){
                //$data = array_map('str_getcsv', $chunk);
                //$data = array_map($chunk);
                //dd($data);
                //if($key == 0){
                //    $header = $data[0]; 
                //    unset($data[0]);
                //}
                //if($key == $lastkey){
                //    $userid = $data[0]; 
                //    unset($data[0]);
                //}
                $data = $chunk;
                $batch->add(new UpdateRXProducts($data));
            }
            
            $batchstatus = new Job_batchstat;
            $batchstatus->userid = $userid;
            $batchstatus->batchid = $batch->id;
            $batchstatus->tablename = "rxproducts";
            $batchstatus->save();     

            return redirect()->route('rxproductstatus');
            


        
    }  

    public function batchstatus()
    {
      $id = auth()->user()->id;

      $batch = DB::table('job_batchstats')->where('userid', $id)->where('tablename', 'rxproducts')->first();
      $jobbatches = DB::table('job_batches')->where('id', $batch->batchid)->first();  
      return view('admin.rxproducts.batchstatus', compact('jobbatches'));
    } 


    public function batchstatus2()
    {
      $userid = auth()->user()->id;

      if ($batches = DB::table('job_batchstats')->where('userid', $userid)->where('tablename', 'rxproducts')->first()){
         $jobbatches = DB::table('job_batches')->where('id', $batches->batchid)->first();  
         return response()->json($jobbatches);
      }
    }  


    public function deletebatches()
    {
        //$adjustments = Adjustment::where('adjid', '=', $id)->first();
        //Payroll::destroy($id);
        $userid = auth()->user()->id;
        if ($batches = DB::table('job_batchstats')->where('userid', $userid)->where('tablename', 'rxproducts')->first()){
            DB::table('job_batchstats')->where('userid', $userid)->where('tablename', 'rxproducts')->delete();
            DB::table('job_batches')->where('id', $batches->batchid)->delete();
        }

        DB::table('rxproducttemps')->where('userid', $userid)->delete();
        Toastr::warning('Imported RX Products Imported Successfully :)','Deleted');

        return redirect()->route('admin.rxproducts.index');
    }

}
