<?php

namespace App\Http\Controllers\Admin;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

//use App\Exports\DepartmentsExport;
//use App\Imports\DepartmentsImport;
use Maatwebsite\Excel\Facades\Excel;

use App\Models\Subscription;
use App\Models\Subsproduct;
use App\Models\Subsphoto;
use Spatie\Permission\Models\Permission;

use DataTables;
use Carbon\Carbon;
use DateTime;

class SubscriptionsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
       

         if(request()->ajax())
         {
              if( !empty($request->sname))
              {

                $query = DB::table('subscriptions');
                $query = $query->select('subscriptions.*', 'users1.name as username', 'users2.name as approvedby');
                $query = $query->leftJoin('users as users1', 'users1.id', '=', 'subscriptions.user_id');
                $query = $query->leftJoin('users as users2', 'users2.id', '=', 'subscriptions.approved_by');

                if(!empty($request->sname)) {
                    $query = $query->where('users1.name', 'LIKE',"%{$request->sname}%");
                };

                //$data= $query->get(); 
                $data= $query; 

              }
              else
              {
               $data = DB::table('subscriptions')
                ->select('subscriptions.*', 'users1.name as username', 'users2.name as approvedby')
                ->leftJoin('users as users1', 'users1.id', '=', 'subscriptions.user_id')
                ->leftJoin('users as users2', 'users2.id', '=', 'subscriptions.approved_by');
                 //->get();
              }

             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('admin.subscriptions.show',$row->subscription_id);
                $edit =  route('admin.subscriptions.edit',$row->subscription_id);
                $delete =  route('admin.subscriptions.destroy',$row->subscription_id);
                $token =  csrf_token();                  
                //return "<a href='{$show}' class='btn btn-xs btn-primary'><i class='glyphicon glyphicon-edit'></i> Edit</a>";
                return "<a href='{$show}' title='View' class='m-r-15 crm-action-edit text-muted'><i class='fas fa-desktop'></i></a>  &nbsp;<a href='{$edit}' title='Edit' class='m-r-15 crm-action-edit text-muted'><i class='fas fa-edit'></i></a> ". 
                    "<form action='{$delete}' name='deleteform' method='POST' onsubmit=\"return confirm('Are you sure you want to Delete Selected Record?');\" style='display: inline-block;'>".
                        "<input type='hidden' name='_method' value='DELETE'>".
                        "<input type='hidden' name='_token' value='{$token}'>". 
                        "<button type='submit' title = 'Delete' class='crm-action-delete text-muted' style='border:none; background:none; cursor:pointer;'><i class='fas fa-trash'></i></button>".
                    "</form>";
                
            })

            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }

         $subscriptions = DB::table('subscriptions')
            ->select('subscriptions.*', 'users1.name as username', 'users2.name as approvedby')
            ->leftJoin('users as users1', 'users1.id', '=', 'subscriptions.user_id')
            ->leftJoin('users as users2', 'users2.id', '=', 'subscriptions.approved_by');
              
         return view('admin.subscriptions.index', compact('subscriptions'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $submonths = DB::table('submonths')->get();  
        $paymethods = DB::table('paymethods')->get();  
        return view('admin.subscriptions.create', compact('submonths', 'paymethods'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Subscription $subscription)
    {
        $subscription->user_id = $request->user_id; 
        $subscription->description = $request->description; 
        $subscription->monthly_subs = $request->monthly_subs; 
        $subscription->subs_date = date('Y-m-d'); 
        $subscription->payment_method = $request->payment_method; 
        $subscription->delivery_date = $request->delivery_date; 
        $subscription->prescription_note = $request->prescription_note; 

        $reminder_date = $request->delivery_date; 
        $reminder_date = new DateTime($reminder_date);
        $year = $reminder_date->format('Y');
        $month = $reminder_date->format('m');
        $day = $reminder_date->format('d'); 
        $starttime = "06:00:00";       
        $reminddate = $year. "-". $month. "-". $day. " ". $starttime;
        $reminder_date = date('Y-m-d', strtotime('-3 days', strtotime($reminddate)));
        $subscription->reminder_date = $reminder_date; 
        $subscription->save();
        
        $subscription_id = $subscription->subscription_id;

        $userid = auth()->user()->id;
        $subsproducttemps = DB::table('subsproducttemps')->where('userid','=', $userid)->get();
            
        foreach($subsproducttemps as $subsproducttemps){
          $subsproducts = new Subsproduct;
          $subsproducts->sku = $subsproducttemps->sku;
          $subsproducts->retail_price = $subsproducttemps->retail_price;
          $subsproducts->qty = $subsproducttemps->qty;
          $subsproducts->amount = $subsproducttemps->amount;
          $subsproducts->subscription_id = $subscription_id;
          $subsproducts->save();
        } 

        $request->validate([
          'images' => 'required',
        ]);

        if ($request->hasfile('images')) {
            $images = $request->file('images');

            foreach($images as $image) {
                $name = $image->getClientOriginalName();
                $path = $image->storeAs('prescriptions', $name, 'public');

                Subsphoto::create([
                    'photo' => $name,
                    'subscription_id' => $subscription_id,
                    'path' => '/storage/'.$path
                ]);
            }
        }


        $deletetemp = DB::table('subsproducttemps')->where('userid','=', $userid)->delete();        

        return redirect()->route('admin.subscriptions.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $subscriptions = DB::table('subscriptions')->where('subscription_id', $id)->first();
        $users = DB::table('users')->where('id', $subscriptions->user_id)->first();  
        $submonths = DB::table('submonths')->get();  
        $paymethods = DB::table('paymethods')->get(); 

        return view('admin.subscriptions.show', compact('subscriptions', 'users', 'submonths', 'paymethods'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $subscriptions = DB::table('subscriptions')->where('subscription_id', $id)->first();
        $users = DB::table('users')->where('id', $subscriptions->user_id)->first();  
        $submonths = DB::table('submonths')->get();  
        $paymethods = DB::table('paymethods')->get(); 

        return view('admin.subscriptions.edit', compact('subscriptions', 'users', 'submonths', 'paymethods'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $subscription = Subscription::where('subscription_id', '=', $id)->first(); 
        $subscription->user_id = $request->user_id; 
        $subscription->description = $request->description; 
        $subscription->monthly_subs = $request->monthly_subs; 
        $subscription->subs_date = date('Y-m-d'); 
        $subscription->payment_method = $request->payment_method; 
        $subscription->delivery_date = $request->delivery_date; 
        $subscription->prescription_note = $request->prescription_note; 

        $reminder_date = $request->delivery_date; 
        $reminder_date = new DateTime($reminder_date);
        $year = $reminder_date->format('Y');
        $month = $reminder_date->format('m');
        $day = $reminder_date->format('d'); 
        $starttime = "06:00:00";       
        $reminddate = $year. "-". $month. "-". $day. " ". $starttime;
        $reminder_date = date('Y-m-d', strtotime('-3 days', strtotime($reminddate)));
        $subscription->reminder_date = $reminder_date; 
        $subscription->save();  
        return redirect()->route('admin.subscriptions.index');      
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $subsproducts = Subsproduct::where('subscription_id', '=', $id)->delete();
        $subsphotos = Subsphoto::where('subscription_id', '=', $id)->delete();

        Subscription::destroy($id);
        return redirect()->route('admin.subscriptions.index');      
    }
}
