<?php

namespace App\Http\Controllers\Admin;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

//use App\Exports\DepartmentsExport;
//use App\Imports\DepartmentsImport;
use Maatwebsite\Excel\Facades\Excel;

use App\Models\Subsproducts;
use Spatie\Permission\Models\Permission;

use DataTables;
use Carbon\Carbon;
use DateTime;

class SubsproductsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
       
         if(request()->ajax())
         {
              if( !empty($request->subscription_id))
              {

                $query = DB::table('subsproducts');
                $query = $query->select('subsproducts.*', 'rxproducts.product_name', 'rxproducts.prod_image');
                $query = $query->leftJoin('rxproducts', 'rxproducts.sku', '=', 'subsproducts.sku');

                if(!empty($request->ssku)) {
                    $query = $query->where('sku', 'LIKE',"%{$request->ssku}%");
                };
                
                $query = $query->where('subsproducts.subscription_id', $request->subscription_id);
                //$data= $query->get(); 
                $data= $query; 

              }
              else
              {

               $userid = auth()->user()->id; 
               $data = DB::table('subsproducts')
                 ->select('subsproducts.*', 'rxproducts.product_name', 'rxproducts.prod_image')
                 ->leftJoin('rxproducts', 'rxproducts.sku', '=', 'subsproducts.sku')
                 ->where('subsproducts.subscription_id', $request->subscription_id)
                 ->orderBy('subsproducts.id', 'DESC');
                 //->get();
              }

             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('admin.subsproducts.show',$row->id);
                $edit =  route('admin.subsproducts.edit',$row->id);
                $delete =  route('admin.subsproducts.destroy',$row->id);
                $token =  csrf_token();                  
                //return "<a href='{$show}' class='btn btn-xs btn-primary'><i class='glyphicon glyphicon-edit'></i> Edit</a>";
                return "<a title='Delete' href='#' onclick='DeleteProduct(this)' type='button' class='m-r-15 crm-action-edit text-muted' id=".$row->id. "><i class='fas fa-trash'></i> Delete</a> ";  
                
            })
            ->editColumn('id', 'ID: {{$id}}')            
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }
         $userid = auth()->user()->id; 

         $subsproducts = DB::table('subsproducts')
                 ->select('subsproducts.*', 'rxproducts.product_name', 'rxproducts.prod_image')
                 ->leftJoin('rxproducts', 'rxproducts.sku', '=', 'subsproducts.sku')
                 ->where('subsproducts.subscription_id', $request->subscription_id)
                 ->orderBy('subsproducts.id', 'DESC');
              
         return view('admin.subsproducts.index', compact('subsproducts'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Subsproducts $subsproducts)
    {
        $subsproducts->subscription_id = $request->subscription_id; 
        $subsproducts->sku = $request->sku; 
        $subsproducts->retail_price = $request->retail_price; 
        $subsproducts->qty = $request->qty; 
        $subsproducts->amount = $request->amount; 
        $subsproducts->save();

        
        //Toastr::success('Adjustment Request Created Successfully :)','Success');

        return redirect()->route('admin.subscriptions.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request, $id)
    {
        $id = $request->id;
        //$id = "4";
        $subsproducts = Subsproduct::where('id', '=', $id)->first();
        Subsproduct::destroy($id);
    }
}
