<?php

namespace App\Jobs;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;


use Illuminate\Bus\Batchable;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

use App\Models\Rxproduct;
use App\Models\User;

class UpdateRXProducts implements ShouldQueue
{
    use Batchable, Dispatchable, InteractsWithQueue, Queueable, SerializesModels;
    protected $user;

    public $data;
    //public $header;
    //public $userid;



    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($data)
    {
        $this->data = $data; 
        //$this->header = $header;
        //$this->userid = $userid;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    
    public function handle(User $user)
    {
        //$userid = $this->userid;

        foreach($this->data as $rxproduct){
          if($rxproducts = DB::table('rxproducts')->where('sku','=', $rxproduct->sku)->first()){
            $rxproducts = Rxproduct::where('sku', '=', $rxproduct->sku)->first(); 
            $rxproducts->sku = $rxproduct->sku;
            $rxproducts->product_name = $rxproduct->product_name;
            $rxproducts->price = $rxproduct->price;
            $rxproducts->cost_price = $rxproduct->cost_price;
            $rxproducts->retail_price = $rxproduct->retail_price;
            $rxproducts->sale_price = $rxproduct->sale_price;
            $rxproducts->visibility = $rxproduct->visibility;
            $rxproducts->category = $rxproduct->category;
            $rxproducts->prod_image = $rxproduct->prod_image;
            $rxproducts->save();
          } else {
            $rxproducts = new Rxproduct;
            $rxproducts->sku = $rxproduct->sku;
            $rxproducts->product_name = $rxproduct->product_name;
            $rxproducts->price = $rxproduct->price;
            $rxproducts->cost_price = $rxproduct->cost_price;
            $rxproducts->retail_price = $rxproduct->retail_price;
            $rxproducts->sale_price = $rxproduct->sale_price;
            $rxproducts->visibility = $rxproduct->visibility;
            $rxproducts->category = $rxproduct->category;
            $rxproducts->prod_image = $rxproduct->prod_image;
            $rxproducts->save();
          }
        }   
    }

    public function failed(Throwable $exception)
    {
        // Send user notification of failure, etc...
    }
}
