@extends('layouts.main') 
@section('title', 'Import RX Products')
@section('content')

    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/select2/dist/css/select2.min.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/summernote/dist/summernote-bs4.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/mohithg-switchery/dist/switchery.min.css') }}">
    @endpush

    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-user-plus bg-blue"></i>
                        <div class="d-inline">
                            <h5>{{ __('Import RX Products')}}</h5>
                            <span>{{ __('Import RX Products CSV File for Update')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('home')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item"><a href="{{ route('admin.rxproducts.index') }}">{{ __('List of RX Products')}}</a></li>
                            <li class="breadcrumb-item active" aria-current="page">{{ __('Import CSV File for Update')}}</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>

          <form action="{{ route('importrxproducttemps') }}" method="POST" enctype="multipart/form-data">
          @csrf

            <div class="row">



                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header"><h3>{{ __('Import CSV File')}}</h3></div>
                        <div class="card-body">
                            <div class="row">

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Import CSV File</label>
                                        <input type="file" class="form-control" id="mycsv" name="mycsv" style=" padding: 6px 12px;" accept=".csv" required>
                                    </div>

                                    <button type="submit" class="btn btn-primary mr-2">{{ __('Import')}}</button>
                                    <button type="button" class="btn btn-light" onclick="window.location.href='{{ route('admin.rxproducts.index') }}'">{{ __('Cancel')}}</button>
                                    <button type="button" class="btn btn-success" onclick="window.location.href='{{ route('temp.rxproducttemps.index') }}'">{{ __('Proceed to Imported List')}}</button>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </form>
        
    </div>

    <!-- push external js -->
    @push('script')
        <script src="{{ asset('plugins/select2/dist/js/select2.min.js') }}"></script>
        <script src="{{ asset('plugins/summernote/dist/summernote-bs4.min.js') }}"></script>
        <script src="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js') }}"></script>
        <script src="{{ asset('plugins/jquery.repeater/jquery.repeater.min.js') }}"></script>
        <script src="{{ asset('plugins/mohithg-switchery/dist/switchery.min.js') }}"></script>
      
        <script src="{{ asset('js/form-advanced.js') }}"></script>

    @endpush
@endsection
    
