@extends('layouts.main') 
@section('title', 'Subscriptions')
@section('content')
    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/DataTables/datatables.min.css') }}">
    @endpush
 


    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-check-square bg-green"></i>
                        <div class="d-inline">
                            <h5>{{ __('List of Subscriptions')}}</h5>
                            <span>{{ __('Manage Subscriptions')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('home')}}"><i class="ik ik-home"></i></a>
                            </li>

                            <li class="breadcrumb-item active" aria-current="page">List of Subscriptions</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header"><h3>{{ __('List of Subscription')}}</h3></div>
                    <div class="card-body">
                        <div class="row">                       

                          <div class="px-1">
                            <button type="button" class="btn btn-primary btn-sm" onclick="window.location.href='{{ route('admin.subscriptions.create') }}'"><i class="fas fa-edit"></i> Add New Subscription</button>
                          </div>  
                          <!-- 
                          <div class="px-0">
                            <button class="btn btn-secondary btn-sm" name ="importbtn" id = "importbtn" onclick="window.location.href='{{ url('UsersImportExportView') }}'"><i class="fa fa-file-excel"></i> Import New Users</button>
                          </div>           
                          -->



                        </div>
                        <br>

                       <div class="row">
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="Name" id= "sname" name="sname">
                                </fieldset>
                            </div> 
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="Monthly Subscription" id= "smonthly_subs" name="smonthly_subs">
                                </fieldset>
                            </div>  
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="Payment Method" id= "spayment_method" name="spayment_method">
                                </fieldset>
                            </div>  

                            <div class="px-1" >

                                <fieldset class="form-group position-relative">

                                    <button type = "button" class="btn-sm btn-primary" name ="filter" id = "filter"><i class="icofont icofont-job-search"></i> Search</button>
                                    <button type = "button" class="btn-sm btn-warning" name ="reset" id = "reset"><i class="icofont icofont-ui-rotation"></i> Show All</button>

                                </fieldset>
                            </div>  
                    
                        </div>

                    </div>
                    <div class="card-body">
                        <table  id="employee-grid" class="display compact custom" cellspacing="0" cellspacing="0" style="width:100%">
                            <thead>
                            <tr>
                                <th>Action</th>
                                <th>Name</th>
                                <th>Prescription For</th>
                                <th>Monthly Subscription</th>
                                <th>Subscription Date</th>
                                <th>Payment Method</th>
                                <th>1st Delivery Date</th>
                                <th>Activation Date</th>
                                <th>Cancellation Date</th>
                                <th>Approved By</th>
                            </tr>
                            </thead>
                            <tbody>

                            </tbody>

                        </table>  
                    </div>
                </div>
            </div>
        </div>

    </div>


    <!-- push external js -->
    @push('script')
        <!--
        <script src="{{ asset('plugins/DataTables/datatables.min.js') }}"></script>
        <script src="{{ asset('js/datatables.js') }}"></script>
        -->

        <link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/jquery.dataTables.css') }}"> 
        <link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/buttons.dataTables.min.css') }}"> 

        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery.dataTables.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.buttons.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jszip.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/pdfmake.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/vfs_fonts.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.html5.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.colVis.min.js') }}"></script> 


        <script>
        $(document).ready(function(){
        refreshsubscription();

        });
        </script>

        <script>
        function refreshsubscription() {

            fill_datatable();
            function fill_datatable(sname = '')
            {
                var dataTable = $('#employee-grid').DataTable({
                    //scrollY:        "300px",
                    scrollX:        true,
                    scrollCollapse: true,
                    paging:         true,
                    columnDefs: [
                          { targets: [0], className: "text-center" },
                    ],
                    fixedColumns: true,

                    processing: true,
                    serverSide: true,
                dom: 'Blfrtip',
                buttons: [
                    {
                        extend: 'copyHtml5',
                        exportOptions: {
                            columns: [ 0, ':visible' ]
                        }
                    },
                    {
                        extend: 'excelHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    {
                        extend: 'csvHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },            
                    {
                        extend: 'pdfHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    
                    'colvis'
                ], 
                    "lengthMenu": [[10, 20, 30, 40, 50, 100, -1], [10, 20, 30, 40, 50, 100, "All"]],
                    "pageLength": 10,                  

                    ajax:{
                        url: "{{ route('admin.subscriptions.index') }}",

                        data:{
                            sname:sname
                        }
                    },
                    columns: [
                        {data: 'action', name: 'action', orderable: false, searchable: false},

                        {
                            data:'username',
                            name:'username'
                        }, 
                        {
                            data:'description',
                            name:'description'
                        }, 
                        {
                            data:'monthly_subs',
                            name:'monthly_subs'
                        },
                        {
                            data:'subs_date',
                            name:'subs_date'
                        },
                        {
                            data:'payment_method',
                            name:'payment_method'
                        },
                        {
                            data:'delivery_date',
                            name:'delivery_date'
                        },
                        {
                            data:'subs_activation_date',
                            name:'subs_activation_date'
                        },
                        {
                            data:'subs_cancellation_date',
                            name:'subs_cancellation_date'
                        },
                        {
                            data:'approvedby',
                            name:'approvedby'
                        }
                        


                ]



                });


            }
            $('#filter').click(function(){
                var sname = $('#sname').val();
                

                if(sname != '')
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable(sname);
                }
                else
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable();
                }
            });

            $('#reset').click(function(){
                $('#sname').val('');
                $('#employee-grid').DataTable().destroy();
                fill_datatable();
            });

        } 

        </script>

 
    @endpush
@endsection
      
