@extends('layouts.main') 
@section('title', 'Edit Subscription')
@section('content')

    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/select2/dist/css/select2.min.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/summernote/dist/summernote-bs4.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/mohithg-switchery/dist/switchery.min.css') }}">
    @endpush

    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-check-square bg-blue"></i>
                        <div class="d-inline">
                            <h5>{{ __('View Subscription')}}</h5>
                            <span>{{ __('View Subscription')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('home')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item"><a href="{{ route('admin.subscriptions.index') }}">{{ __('List of Subscriptions')}}</a></li>
                            <li class="breadcrumb-item active" aria-current="page">{{ __('View Subscription')}}</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>


          <input type="hidden" class="form-control form-control-sm col-sm-1" id="subscription_id" name="subscription_id" value="{{ $subscriptions->subscription_id }}" readonly>

            <div class="row">

                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header"><h3>{{ __('Subscription Information')}}</h3></div>
                        <div class="card-body">
                            <div class="row">

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Subscriber</label>
                                        <div class="input-group input-group-sm">
                                          <input type="hidden" class="form-control form-control-sm col-sm-1" id="user_id" name="user_id"  maxlength="15" value="{{ $subscriptions->user_id }}" readonly>
                                          <input type="text" class="form-control" id="name" name="name"  placeholder="Subscriber Name" value="{{ $users->name }}" readonly>

                                        </div>
                                    </div>  
                                    <div class="form-group">
                                        <label for="exampleInputName1">{{ __('Prescription For')}}</label>
                                        <input type="text" class="form-control" id="description" name="description" placeholder="Prescription For" maxlength="100" value="{{ $subscriptions->description }}" readonly>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <!-- text input -->
                                            <div class="form-group">
                                              <label for="exampleInputName1">{{ __('No of Months Subscription')}}</label>
                                              <select name="monthly_subs" id="monthly_subs" class="form-control select2" disabled>
                                                  <option value="{{ $subscriptions->monthly_subs }}">{{ $subscriptions->monthly_subs }}</option>
                                                  @foreach($submonths as $submonths)
                                                      <option value="{{ $submonths->submonth }}">{{ $submonths->submonth }}</option>
                                                  @endforeach
                                              </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label>Payment Method</label>
                                                <select name="payment_method" id="payment_method" class="form-control select2" disabled>
                                                    <option value="{{ $subscriptions->payment_method }}">{{ $subscriptions->payment_method }}</option>
                                                    @foreach($paymethods as $paymethods)
                                                        <option value="{{ $paymethods->paymethod }}">{{ $paymethods->paymethod }}</option>
                                                    @endforeach
                                                </select> 
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputName1">{{ __('Delivery Date')}}</label>
                                        <input type="date" class="form-control" id="delivery_date" name="delivery_date" placeholder="Delivery Date" value="{{ $subscriptions->delivery_date }}" readonly>
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputName1">{{ __('Prescription Note')}}</label>
                                        <textarea class="form-control" id="prescription_note" name = "prescription_note" rows="3" readonly>{{ $subscriptions->prescription_note }}</textarea>
                                    </div>

                                    <button type="button" class="btn btn-success" onclick="window.location.href='{{ route('admin.subscriptions.index') }}'">{{ __('Back to List')}}</button>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header"><h3>{{ __('List of Products to Subscribe')}}</h3></div>
                        <div class="card-body">
                            <div class="row">

                                <div class="col-md-12">

                                    <div class="form-group">
                                      <input type="hidden" class="form-control form-control-sm col-sm-1" id="ssku" name="ssku"  readonly>
                                      <table  id="employee-grid" class="display compact custom" cellspacing="0" cellspacing="0" style="width:100%">
                                          <thead>
                                          <tr>
                                              <th>Image</th>                                
                                              <th>SKU</th>
                                              <th>Product Name</th>
                                              <th>Qty</th>
                                              <th>Retail Price</th>
                                              <th>Amount</th>
                                          </tr>
                                          </thead>
                                          <tbody>

                                          </tbody>

                                      </table>  
                                    </div>


                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        
    </div>

    <!-- push external js -->
    @push('script')
        <script src="{{ asset('plugins/select2/dist/js/select2.min.js') }}"></script>
        <script src="{{ asset('plugins/summernote/dist/summernote-bs4.min.js') }}"></script>
        <script src="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js') }}"></script>
        <script src="{{ asset('plugins/jquery.repeater/jquery.repeater.min.js') }}"></script>
        <script src="{{ asset('plugins/mohithg-switchery/dist/switchery.min.js') }}"></script>
      
        <script src="{{ asset('js/form-advanced.js') }}"></script>

        <link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/jquery.dataTables.css') }}"> 
        <link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/buttons.dataTables.min.css') }}"> 

        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery.dataTables.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.buttons.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jszip.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/pdfmake.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/vfs_fonts.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.html5.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.colVis.min.js') }}"></script> 

        <script>
        function validateForm() {
          

          var table = $('#employee-grid').DataTable();

          if ( ! table.data().any() ) {
            alert( 'Please Add Product to Subscribe to Continue!' );
            return false;
          }

          if(document.getElementById('user_id').value == "" ){
              alert("Please Select Subscriber to Continue!");
               return false;
          }

          if(document.getElementById('description').value == "" ){
              alert("Please Enter Description to Continue!");
               return false;
          }

          if(document.getElementById('monthly_subs').value == "" ){
              alert("Please Select No of Months to Continue!");
               return false;
          }  

          if(document.getElementById('payment_method').value == "" ){
              alert("Please Select Payment Method to Continue!");
               return false;
          }  

          if(document.getElementById('delivery_date').value == "" ){
              alert("Please Enter Delivery Date to Continue!");
               return false;
          }           

          var ok = confirm("Are you sure you want Save Record?");
          if(ok){  
            return true; 
          } else {  
            return false; 
          }

        }
        </script>

        <script>
        $(document).ready(function(){
        refreshproducts();

        });
        </script>

        <script>
        function refreshproducts() {

            fill_datatable();
            function fill_datatable(subscription_id = $('#subscription_id').val())
            {
                var dataTable = $('#employee-grid').DataTable({
                    //scrollY:        "300px",
                    scrollX:        true,
                    scrollCollapse: true,
                    paging:         true,
                    columnDefs: [
                          { targets: [0], className: "text-center" },
                    ],
                    fixedColumns: true,

                    processing: true,
                    serverSide: true,
                dom: 'Blfrtip',
                buttons: [
                    {
                        extend: 'copyHtml5',
                        exportOptions: {
                            columns: [ 0, ':visible' ]
                        }
                    },
                    {
                        extend: 'excelHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    {
                        extend: 'csvHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },            
                    {
                        extend: 'pdfHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    
                    'colvis'
                ], 
                    "lengthMenu": [[10, 20, 30, 40, 50, 100, -1], [10, 20, 30, 40, 50, 100, "All"]],
                    "pageLength": 10,                  

                    ajax:{
                        url: "{{ route('admin.subsproducts.index') }}",

                        data:{
                            subscription_id:subscription_id
                        }
                    },
                    columns: [

                        {
                            data:'prod_image',
                            name:'prod_image',
                            render: function (data, type, full, meta) {
                                //return "<img src=\"/storage/employees/" + data + "\" height=\"25\"   alt='No Image'/>";
                                return "<a href=\"https://stjosephdrug.com/product_images/" + data + "\" target='_blank'><img src=\"https://stjosephdrug.com/product_images/" + data + "\" height=\"25\"   alt='No Image'/></a>";
                            },
                            orderable: false, searchable: false
                        }, 
                        {
                            data:'sku',
                            name:'sku'
                        }, 

                        {
                            data:'product_name',
                            name:'product_name'
                        },  
                        {
                            data:'qty',
                            name:'qty'
                        },
                        {
                            data:'retail_price',
                            name:'retail_price'
                        }, 
                        {
                            data:'amount',
                            name:'amount'
                        }
                        


                ]



                });


            }
            $('#filter').click(function(){
                var subscription_id = $('#subscription_id').val();
                

                if(subscription_id != '')
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable(subscription_id);
                }
                else
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable();
                }
            });

            $('#reset').click(function(){
                $('#subscription_id').val('');
                $('#employee-grid').DataTable().destroy();
                fill_datatable();
            });

        } 

        </script>






        <script language="javascript"> 
        function openWindow() { 
          window.open("{{route('tablelist.allusers.index')}}", "_blank", "toolbar=yes, scrollbars=yes, resizable=yes, top=100, left=200, width=1200, height=650"); 
        } 
        </script>    
        <script language="javascript"> 
        function openWindow2() { 
          window.open("{{route('tablelist.allproducts.index')}}", "_blank", "toolbar=yes, scrollbars=yes, resizable=yes, top=100, left=200, width=1200, height=650"); 
        } 
        </script>   

        <script>
        function cleartext1() {
          document.getElementById('rxprod_id').value = "";
          document.getElementById('sku').value = "";
          document.getElementById('product_name').value = "";
          document.getElementById('retail_price').value = "";
        }
        </script>

        <script>    
        function addProduct() {

            if($('#sku').val() == ""){
                alert('Please Select Product to Continue!');
            }else if($('#qty').val() == ""){
                alert('Please Enter Qty to Continue!');                            
            }else{
                var ok = confirm("Are you sure you want to Add Product to the List?");
                if(ok){
                    $.ajax({
                        url: "{{ route('admin.subsproducts.store') }}",
                        dataType:'JSON',
                        data: {
                            _token:"{{csrf_token()}}",
                            userid: $('#userid').val(),
                            sku: $('#sku').val(),
                            retail_price: $('#retail_price').val(),
                            qty: $('#qty').val(),
                            amount: $('#amount').val()
                        },
                        type: "POST",

                        success: function(data){
                          document.getElementById('rxprod_id').value = "";
                          document.getElementById('sku').value = "";
                          document.getElementById('product_name').value = "";
                          document.getElementById('retail_price').value = "";
                          document.getElementById('qty').value = "";
                          document.getElementById('amount').value = "";
                          $('#employee-grid').DataTable().destroy();
                          refreshproducts();
                        }
                    });
                }

            }



        }
        </script> 

        <script>
        function compute()
        {

            var qty  = document.getElementById('qty').value;
            var retail_price  = document.getElementById('retail_price').value;
            var amount = parseFloat(qty) * parseFloat(retail_price);

            document.getElementById('amount').value = parseFloat(amount).toFixed(2);;

        }
        </script>

        <script>
        function DeleteProduct(element) {

             var id = element.getAttribute('id');

            //document.getElementById('educid').value = id;
            var ok = confirm("Are you sure you want to Delete Selected Record?");
            if(ok){
              $.ajax({
                 url: "{{ route('admin.subsproducts.destroy', "+id+") }}",
                data: {
                  _token:"{{csrf_token()}}",
                  id: id
                },
                type: "DELETE",
                
                success: function(data){
                  data = $.trim(data);
                  var str = $.trim(data);

                  $('#employee-grid').DataTable().destroy();
                   refreshproducts(); 

                  if(data === "SUCCESS"){
                    alert("Form has been submitted!");
                    location.reload(true);
                    //window.location.reload();
                  } //else{alert(data);}
                }
              });
            }



        }
        //});


        </script>

    @endpush
@endsection
    
