@extends('layouts.main') 
@section('title', 'View User')
@section('content')

    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/select2/dist/css/select2.min.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/summernote/dist/summernote-bs4.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/mohithg-switchery/dist/switchery.min.css') }}">
    @endpush

    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-user-plus bg-blue"></i>
                        <div class="d-inline">
                            <h5>{{ __('View User')}}</h5>
                            <span>{{ __('View User')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('home')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item"><a href="{{ route('admin.users.index') }}">{{ __('List of Users')}}</a></li>
                            <li class="breadcrumb-item active" aria-current="page">{{ __('View User')}}</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>

        <div class="row" style="display: none;">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h3>{{ __('Switches')}}</h3>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-sm-12 col-xl-4 mb-30">
                                <h4 class="sub-title">{{ __('Single Switche')}}</h4>
                                <input type="checkbox" class="js-single" checked />
                            </div>
                            <div class="col-sm-12 col-xl-4 mb-30">
                                <h4 class="sub-title">{{ __('Multiple Switches')}}</h4>
                                <input type="checkbox" class="js-switch" checked />
                                <input type="checkbox" class="js-switch" checked />
                                <input type="checkbox" class="js-switch" checked />
                            </div>
                            <div class="col-sm-12 col-xl-4 mb-30">
                                <h4 class="sub-title">{{ __('Enable Disable Switches')}}</h4>
                                <input type="checkbox" class="js-dynamic-state" checked />
                                <button class="btn btn-primary js-dynamic-enable">{{ __('Enable')}}</button>
                                <button class="btn btn-inverse js-dynamic-disable">{{ __('Disable')}}</button>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-8">
                                <h4 class="sub-title">{{ __('Color Switches')}}</h4>
                                <input type="checkbox" class="js-default" checked />
                                <input type="checkbox" class="js-primary" checked />
                                <input type="checkbox" class="js-success" checked />
                                <input type="checkbox" class="js-info" checked />
                                <input type="checkbox" class="js-warning" checked />
                                <input type="checkbox" class="js-danger" checked />
                                <input type="checkbox" class="js-inverse" checked />
                            </div>
                            <div class="col-sm-4">
                                <h4 class="sub-title">{{ __('Switch Sizes')}}</h4>
                                <input type="checkbox" class="js-large" checked />
                                <input type="checkbox" class="js-medium" checked />
                                <input type="checkbox" class="js-small" checked />
                            </div>
                        </div>
                    </div>
                </div>





            </div>
        </div>


        <div class="row">
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header"><h3>{{ __('User Information')}}</h3></div>
                    <div class="card-body">
                        <div class="row">

                            <div class="col-md-12">

                                
                                <div class="form-group">
                                    <label for="exampleInputName1">{{ __('First Name')}}</label>
                                    <input type="text" class="form-control" id="fname" name="fname" placeholder="First Name" value="{{ old('fname', isset($user) ? $user->fname : '') }}" readonly>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputName1">{{ __('Middle Name')}}</label>
                                    <input type="text" class="form-control" id="mname" name="mname" placeholder="Middle Name" value="{{ old('mname', isset($user) ? $user->mname : '') }}" readonly>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputName1">{{ __('Last Name')}}</label>
                                    <input type="text" class="form-control" id="lname" name="lname" placeholder="Last Name" value="{{ old('lname', isset($user) ? $user->lname : '') }}" readonly>
                                </div>
                                <div class="row">
                                    <div class="col-sm-6">
                                        <!-- text input -->
                                        <div class="form-group">
                                            <label>Mobile Number</label>
                                            <input type="text" class="form-control form-control-sm" id="mobilenumber" name="mobilenumber" placeholder="Mobile Number" maxlength="15" value="{{ old('mobilenumber', isset($user) ? $user->mobilenumber : '') }}" readonly>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>Phone Number</label>
                                            <input type="text" class="form-control form-control-sm" id="phonenumber" name="phonenumber" placeholder="Phone Number" maxlength="20" value="{{ old('phonenumber', isset($user) ? $user->phonenumber : '') }}" readonly>  
                                        </div>
                                    </div>
                                </div> 
                                <div class="row">
                                    <div class="col-sm-6">
                                        <!-- text input -->
                                        <div class="form-group">
                                            <label>Birth Date</label>
                                            <input type="date" class="form-control form-control-sm" id="birthdate" name="birthdate" placeholder="Birth Date" value="{{ old('birthdate', isset($user) ? $user->birthdate : '') }}" readonly>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>Birth Place</label>
                                            <input type="text" class="form-control form-control-sm" id="birthplace" name="birthplace" placeholder="Birth Place" maxlength="100" value="{{ old('birthplace', isset($user) ? $user->birthplace : '') }}" readonly>  
                                        </div>
                                    </div>
                                </div> 
                                 
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header"><h3>{{ __('User Information')}}</h3></div>
                    <div class="card-body">
                        <div class="row">

                            <div class="col-md-8">

                                
                                <div class="form-group">
                                    <label for="exampleInputName1">{{ __('Name')}}</label>
                                    <input type="text" class="form-control" id="name" name="name" placeholder="Name" value="{{ old('name', isset($user) ? $user->name : '') }}" readonly>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputName1">{{ __('Email address')}}</label>
                                    <input type="email" class="form-control" id="email" name="email" placeholder="Email" value="{{ old('name', isset($user) ? $user->email : '') }}" readonly>
                                </div>                            

                                   
                                <div class="form-group">
                                    <label for="">{{ __('Roles')}} </label>
                                    <select name="roles[]" id="roles" class="form-control select2" multiple="multiple" data-placeholder="Select Role(s)" disabled>
                                    @foreach($roles as $id => $roles)
                                        <option value="{{ $id }}" {{ (in_array($id, old('roles', [])) || isset($user) && $user->roles()->pluck('name', 'id')->contains($id)) ? 'selected' : '' }}>{{ $roles }}</option>
                                    @endforeach
                                    </select>
                                </div>

                                <button type="button" class="btn btn-info" onclick="window.location.href='{{ route('admin.users.index') }}'">{{ __('Back to List')}}</button>
                                

                            </div>
                            <div class="col-md-4">

                                
                                <div class="logo-center" style="text-align: center">
                                    <?php /* <img src="/storage/users/{{ $user->user_photo }}" alt="user image" class="rounded-circle img-100 align-top mr-15"> */ ?>
                                    <img src="/storage/users/{{ $user->user_photo }}" alt="Girl in a jacket" width="220" height="250" style="border: 1px solid #ddd;">
                                </div>
                                

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>



        
    </div>

    <!-- push external js -->
    @push('script')
        <script src="{{ asset('plugins/select2/dist/js/select2.min.js') }}"></script>
        <script src="{{ asset('plugins/summernote/dist/summernote-bs4.min.js') }}"></script>
        <script src="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js') }}"></script>
        <script src="{{ asset('plugins/jquery.repeater/jquery.repeater.min.js') }}"></script>
        <script src="{{ asset('plugins/mohithg-switchery/dist/switchery.min.js') }}"></script>
      
        <script src="{{ asset('js/form-advanced.js') }}"></script>

        <script>
        function validateForm() {
          
          if(document.getElementById('fname').value == ""){
              alert("Please Enter First Name to Continue!");
               return false;
          }
          if(document.getElementById('mname').value == ""){
              alert("Please Enter Middle Name to Continue!");
               return false;
          }
          if(document.getElementById('lname').value == ""){
              alert("Please Enter Last Name to Continue!");
               return false;
          }          
          if(document.getElementById('email').value == ""){
              alert("Please Enter Email Address to Continue!");
               return false;
          }
          if(document.getElementById('password').value == ""){
              alert("Please Enter Password to Continue!");
               return false;
          }  
          if(document.getElementById('user_photo').value == ""){
              alert("Please Select Photo to Continue!");
               return false;
          }    

          if(document.getElementById('password').value != document.getElementById('confirm-password').value){
              alert("Password and Confirm Password does not match!");
               return false;
          }
          if(document.getElementById('mobilenumber').value == ""){
              alert("Please Enter Mobile Number to Continue!");
               return false;
          }  
          if(document.getElementById('birthdate').value == ""){
              alert("Please Enter Birth Date to Continue!");
               return false;
          }  
          if(document.getElementById('birthplace').value == ""){
              alert("Please Enter Birth Place to Continue!");
               return false;
          } 

          var ok = confirm("Are you sure you want Save Record?");
          if(ok){  
            return true; 
          } else {  
            return false; 
          }
        }
        </script>

    @endpush
@endsection
    
