@extends('layouts.noheader') 
@section('title', 'Product List')
@section('content')
    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/DataTables/datatables.min.css') }}">
    @endpush
 


    <div class="container-fluid">



        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header"><h3>{{ __('List of Products')}}</h3></div>
                    <div class="card-body">

                       <div class="row">
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="SKU" id= "ssku" name="ssku">
                                </fieldset>
                            </div> 
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="Product Name" id= "sproduct_name" name="sproduct_name">
                                </fieldset>
                            </div>  

                            <div class="px-1" >

                                <fieldset class="form-group position-relative">

                                    <button type = "button" class="btn-sm btn-primary" name ="filter" id = "filter"><i class="icofont icofont-job-search"></i> Search</button>
                                    <button type = "button" class="btn-sm btn-warning" name ="reset" id = "reset"><i class="icofont icofont-ui-rotation"></i> Show All</button>

                                </fieldset>
                            </div>  
                    
                        </div>

                    </div>
                    <div class="card-body">
                        <table  id="employee-grid" class="display compact custom" cellspacing="0" cellspacing="0" style="width:100%">
                            <thead>
                            <tr>
                                <th>Action</th>
                                <th>Image</th>                                
                                <th>SKU</th>
                                <th>Product Name</th>
                                <th>Retail Price</th>
                            </tr>
                            </thead>
                            <tbody>

                            </tbody>

                        </table>  
                    </div>
                </div>
            </div>
        </div>

    </div>


    <!-- push external js -->
    @push('script')
        <!--
        <script src="{{ asset('plugins/DataTables/datatables.min.js') }}"></script>
        <script src="{{ asset('js/datatables.js') }}"></script>
        -->

        <link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/jquery.dataTables.css') }}"> 
        <link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/buttons.dataTables.min.css') }}"> 

        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery.dataTables.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.buttons.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jszip.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/pdfmake.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/vfs_fonts.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.html5.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.colVis.min.js') }}"></script> 


        <script>
        $(document).ready(function(){
        refreshproducts();

        });
        </script>

        <script>
        function refreshproducts() {

            fill_datatable();
            function fill_datatable(ssku = '', sproduct_name = '')
            {
                var dataTable = $('#employee-grid').DataTable({
                    //scrollY:        "300px",
                    scrollX:        true,
                    scrollCollapse: true,
                    paging:         true,
                    columnDefs: [
                          { targets: [0], className: "text-center" },
                    ],
                    fixedColumns: true,

                    processing: true,
                    serverSide: true,
                dom: 'Blfrtip',
                buttons: [
                    {
                        extend: 'copyHtml5',
                        exportOptions: {
                            columns: [ 0, ':visible' ]
                        }
                    },
                    {
                        extend: 'excelHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    {
                        extend: 'csvHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },            
                    {
                        extend: 'pdfHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    
                    'colvis'
                ], 
                    "lengthMenu": [[10, 20, 30, 40, 50, 100, -1], [10, 20, 30, 40, 50, 100, "All"]],
                    "pageLength": 10,                  

                    ajax:{
                        url: "{{ route('tablelist.allproducts.index') }}",

                        data:{
                            ssku:ssku,
                            sproduct_name:sproduct_name
                        }
                    },
                    columns: [
                        {data: 'action', name: 'action', orderable: false, searchable: false},

                        {
                            data:'prod_image',
                            name:'prod_image',
                            render: function (data, type, full, meta) {
                                //return "<img src=\"/storage/employees/" + data + "\" height=\"25\"   alt='No Image'/>";
                                return "<a href=\"https://stjosephdrug.com/product_images/" + data + "\" target='_blank'><img src=\"https://stjosephdrug.com/product_images/" + data + "\" height=\"25\"   alt='No Image'/></a>";
                            },
                            orderable: false, searchable: false
                        },   
                        {
                            data:'sku',
                            name:'sku'
                        }, 

                        {
                            data:'product_name',
                            name:'product_name'
                        },           
                        {
                            data:'retail_price',
                            name:'retail_price'
                        }
                ]



                });


            }
            $('#filter').click(function(){
                var ssku = $('#ssku').val();
                var sproduct_name = $('#sproduct_name').val();

                if(ssku != '' || sproduct_name != '')
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable(ssku, sproduct_name);
                }
                else
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable();
                }
            });

            $('#reset').click(function(){
                $('#ssku').val('');
                $('#sproduct_name').val('');
                $('#employee-grid').DataTable().destroy();
                fill_datatable();
            });

        } 

        </script>


        <script language="javascript">
        function toggle(source) {
          //alert(source.value);    
          checkboxes = document.getElementsByName('con').value;
          var str = source.value;
          var array = str.split('|');
          window.opener.document.getElementById('rxprod_id').value=array[0];
          window.opener.document.getElementById('sku').value=array[1];
          window.opener.document.getElementById('product_name').value=array[2];
          window.opener.document.getElementById('retail_price').value=parseFloat(array[3]).toFixed(2);
          window.opener.document.getElementById('qty').value= "0";
          window.opener.document.getElementById('amount').value= "";

          window.close(); 
          //window.opener.refreshproducts(); 
          //for(var i=0, n=checkboxes.length;i<n;i++) {
           // checkboxes[i].checked = source.checked;
          //}
        }   



        </script> 
 
    @endpush
@endsection
      
