@extends('layouts.main') 
@section('title', 'New Subscription')
@section('content')




    <!-- push external head elements to head -->
    @push('head')
      <style>
      .footerbutton {
         position: fixed;
         left: 0;
         bottom: 0;
         width: 100%;
         height: 8%;
         margin-bottom: 45px;
         background-color: #fff;
         color: white;
         text-align: center;
      }

      #myProgress {
        width: 100%;
        background-color: #ddd;
      }

      #myBar {
        width: 0%;
        height: 30px;
        background-color: #4CAF50;
        text-align: center;
        line-height: 30px;
        color: white;
      }
      </style>
    @endpush

    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-user-plus bg-blue"></i>
                        <div class="d-inline">
                            <h5>{{ __('(Import Status)')}}</h5>
                            <span>{{ __('CSV Import Progress')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('home')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item"><a href="{{ route('admin.rxproducts.index') }}">{{ __('List of RX Products')}}</a></li>
                            <li class="breadcrumb-item active" aria-current="page">{{ __('Import Progress')}}</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>

          <form action="{{ route('importrxproducttemps') }}" method="POST" enctype="multipart/form-data">
          @csrf

            <div class="row">



                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header"><h3>{{ __('Import Progress Status')}}</h3></div>
                        <div class="card-body">
                            <div class="row">

                                <div class="col-md-12">
                                  <div class="form-group" id="data">
                                      <div class="form-group row">
                                        <label for="suffix" class="col-sm-2 col-form-label">Total Jobs:</label>
                                        <div class="col-sm-2">
                                          <input type="text" class="form-control form-control-sm" id="total" name = "total" value="{{ $jobbatches->total_jobs }}" style="border: none">
                                        </div>
                                        <label for="suffix" class="col-sm-2 col-form-label">Pending Jobs:</label>
                                        <div class="col-sm-2">
                                          <input type="text" class="form-control form-control-sm" id="pending" name = "pending" value="{{ $jobbatches->pending_jobs }}" style="border: none">
                                        </div> 

                                      </div> 

                                      <?php
                                        //$total1 = echo '<script>document.writeln(total);</script>' ;
           
                                        $total = $jobbatches->total_jobs;
                                        $value = $jobbatches->total_jobs - $jobbatches->pending_jobs;
                                        $percentage = ($value / $total) * 100;

                                      ?>
                                      <label for="file">Downloading Progress:  </label>
                                      <div id="myProgress">
                                        <div id="myBar"></div>
                                      </div>
                                      <input type="hidden" id="percentage" name="percentage" value="{{ $percentage }}">

                                      <br>


                                      <button type="submit" class="btn btn-primary">{{ __('Submit')}}</button>
                                      <button type="button" class="btn btn-light" onclick="window.location.href='{{ route('admin.rxproducts.index') }}'">{{ __('Back to List')}}</button>

                                  </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </form>
        
    </div>

    <!-- push external js -->
    @push('script')
        <script src="{{ asset('plugins/select2/dist/js/select2.min.js') }}"></script>
        <script src="{{ asset('plugins/summernote/dist/summernote-bs4.min.js') }}"></script>
        <script src="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js') }}"></script>
        <script src="{{ asset('plugins/jquery.repeater/jquery.repeater.min.js') }}"></script>
        <script src="{{ asset('plugins/mohithg-switchery/dist/switchery.min.js') }}"></script>
      
        <script src="{{ asset('js/form-advanced.js') }}"></script>

        <script>
        $(document).ready(function(){
            myFunction();
        });
        </script>
         
        <script>
        var myVar = setInterval(myFunction, 1000);  
        function myFunction() {

              //setInterval(function(){
                  $.ajax({
                    url: "{{ route("rxproductbatchstatus2") }}",
                    success: function( response ) {
                      var jobs, id, total, pending;
                      jobs = response;
                      total = jobs.total_jobs;
                      pending = jobs.pending_jobs;
                      //alert(id);
                      document.getElementById('total').value = total;
                      document.getElementById('pending').value = pending;
                      var value = total - pending;
                      var percentage = (value / total) * 100;
                      var percentage2 = Math.round(percentage);
                      document.getElementById('percentage').value = percentage;
                      // update div

                      var elem = document.getElementById("myBar");
                      elem.style.width = percentage + "%";
                      elem.innerHTML = percentage2  + "%";



                      if (pending == 0) {
                          window.location = '{{ url('deletebatchesrxproducttemps') }}';
                          clearInterval(myVar);
                      }


                    }
                  });
              //},1000);





        }



        </script>

    @endpush
@endsection
    
