@extends('layouts.main') 
@section('title', 'New Subscription')
@section('content')

    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/select2/dist/css/select2.min.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/summernote/dist/summernote-bs4.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/mohithg-switchery/dist/switchery.min.css') }}">
    @endpush

    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-user-plus bg-blue"></i>
                        <div class="d-inline">
                            <h5>{{ __('New Subscription')}}</h5>
                            <span>{{ __('Add New Subscription')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('home')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item"><a href="{{ route('admin.users.index') }}">{{ __('List of Subscriptions')}}</a></li>
                            <li class="breadcrumb-item active" aria-current="page">{{ __('New Subscription')}}</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>

        <form method="post" action="{{ route('admin.subscriptions.store') }}" enctype="multipart/form-data" onsubmit="return validateForm()">
            <input type="hidden" class="form-control form-control-sm" id= "_token" name="_token" value="{{ csrf_token() }}">

            <div class="row">



                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header"><h3>{{ __('Subscription Information')}}</h3></div>
                        <div class="card-body">
                            <div class="row">

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Subscriber</label>
                                        <div class="input-group input-group-sm">
                                          <input type="hidden" class="form-control form-control-sm col-sm-1" id="user_id" name="user_id"  maxlength="15" readonly>
                                          <input type="text" class="form-control" id="name" name="name"  placeholder="Subscriber Name" readonly>
                                          <span class="input-group-append">
                                            <input type="button" class="btn btn-info btn-flat"  VALUE="Click to Select Subscriber" onclick="javascript:openWindow()" />
                                            <input type="button" class="btn btn-default btn-flat"  VALUE="Clear" onclick="cleartext1()" />
                                          </span>
                                        </div>
                                    </div>                                    

                                    <div class="row">
                                        <div class="col-sm-6">
                                            <!-- text input -->
                                            <div class="form-group">
                                              <label for="exampleInputName1">{{ __('No of Months Subscription')}}</label>
                                              <select name="monthly_subs" id="monthly_subs" class="form-control select2" required>
                                                  <option value="">Select No of Months Subscription</option>
                                                  @foreach($submonths as $submonths)
                                                      <option value="{{ $submonths->submonth }}">{{ $submonths->submonth }}</option>
                                                  @endforeach
                                              </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label>Payment Method</label>
                                                <select name="payment_method" id="payment_method" class="form-control select2" required>
                                                    <option value="">Select Payment Method</option>
                                                    @foreach($paymethods as $paymethods)
                                                        <option value="{{ $paymethods->paymethod }}">{{ $paymethods->paymethod }}</option>
                                                    @endforeach
                                                </select> 
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputName1">{{ __('Delivery Date')}}</label>
                                        <input type="date" class="form-control" id="delivery_date" name="delivery_date" placeholder="Delivery Date" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputName1">{{ __('Prescription Note')}}</label>
                                        <textarea class="form-control" id="prescription_note" name = "prescription_note" rows="3" required></textarea>
                                    </div>
                                    <button type="submit" class="btn btn-primary mr-2">{{ __('Submit')}}</button>
                                    <button type="button" class="btn btn-light" onclick="window.location.href='{{ route('admin.users.index') }}'">{{ __('Cancel')}}</button>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </form>
        
    </div>

    <!-- push external js -->
    @push('script')
        <script src="{{ asset('plugins/select2/dist/js/select2.min.js') }}"></script>
        <script src="{{ asset('plugins/summernote/dist/summernote-bs4.min.js') }}"></script>
        <script src="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js') }}"></script>
        <script src="{{ asset('plugins/jquery.repeater/jquery.repeater.min.js') }}"></script>
        <script src="{{ asset('plugins/mohithg-switchery/dist/switchery.min.js') }}"></script>
      
        <script src="{{ asset('js/form-advanced.js') }}"></script>

        <script>
        function validateForm() {

          
          if(document.getElementById('monthly_subs').value == ""){
              alert("Please Enter No of Months Subscription to Continue!");
               return false;
          }
          if(document.getElementById('mname').value == ""){
              alert("Please Enter Middle Name to Continue!");
               return false;
          }
          if(document.getElementById('lname').value == ""){
              alert("Please Enter Last Name to Continue!");
               return false;
          }          
          if(document.getElementById('email').value == ""){
              alert("Please Enter Email Address to Continue!");
               return false;
          }
          if(document.getElementById('password').value == ""){
              alert("Please Enter Password to Continue!");
               return false;
          }  
          if(document.getElementById('user_photo').value == ""){
              alert("Please Select Photo to Continue!");
               return false;
          }    

          if(document.getElementById('password').value != document.getElementById('confirm-password').value){
              alert("Password and Confirm Password does not match!");
               return false;
          }
          if(document.getElementById('mobilenumber').value == ""){
              alert("Please Enter Mobile Number to Continue!");
               return false;
          }  
          if(document.getElementById('birthdate').value == ""){
              alert("Please Enter Birth Date to Continue!");
               return false;
          }  
          if(document.getElementById('birthplace').value == ""){
              alert("Please Enter Birth Place to Continue!");
               return false;
          }            

          var ok = confirm("Are you sure you want Save Record?");
          if(ok){  
            return true; 
          } else {  
            return false; 
          }
        }
        </script>

        <script language="javascript"> 
        function openWindow() { 
          window.open("{{route('tablelist.allusers.index')}}", "_blank", "toolbar=yes, scrollbars=yes, resizable=yes, top=100, left=200, width=1200, height=650"); 
        } 
        </script>    

        <script>
        function cleartext1() {
          document.getElementById('user_id').value = "";
          document.getElementById('name').value = "";
        }
        </script>

    @endpush
@endsection
    
